package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.QuickLinks;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.QuickLinksMapper")
public interface QuickLinksMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(QuickLinks record);

    QuickLinks selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(QuickLinks record);

    List<QuickLinks> queryAllQuickLinks(QuickLinks record);

    List<QuickLinks> queryQuickLinksByPage(Map<String, Object> parameter);

    int delete(String id);

    QuickLinks queryQuickLinks(QuickLinks record);

    List<QuickLinks> query(QuickLinks record);
}

